org.jboss.resteasy.auth.oauth

## Class OAuthConsumer

- java.lang.Object
- - org.jboss.resteasy.auth.oauth.OAuthConsumer

-     public class OAuthConsumer
      extends Object

  Represents an OAuth Consumer.
  Author:
    Stéphane Épardaud

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthConsumer(String key, String secret, String displayName, String connectURI)`
    `OAuthConsumer(String key, String secret, String displayName, String connectURI, String[] perms)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConnectURI()` Returns the OAuth Consumer's connect URI.
    `String` | `getDisplayName()` Returns the OAuth Consumer's display name.
    `String` | `getKey()` Returns the OAuth Consumer's key
    `String[]` | `getPermissions()`
    `String[]` | `getScopes()` Returns the OAuth Consumer's scopes.
    `String` | `getSecret()` Returns the OAuth Consumer's private secret.
    `void` | `setScopes(String[] scopes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuthConsumer

          public OAuthConsumer(String key,
                       String secret,
                       String displayName,
                       String connectURI)

    - #### OAuthConsumer

          public OAuthConsumer(String key,
                       String secret,
                       String displayName,
                       String connectURI,
                       String[] perms)

  - ### Method Detail

    - #### getKey

          public String getKey()

      Returns the OAuth Consumer's key

    - #### getSecret

          public String getSecret()

      Returns the OAuth Consumer's private secret.

    - #### getDisplayName

          public String getDisplayName()

      Returns the OAuth Consumer's display name.

    - #### getConnectURI

          public String getConnectURI()

      Returns the OAuth Consumer's connect URI. If provided then it will be used to validate callback URLs which consumer will provide during request token acquisition requests

    - #### getScopes

          public String[] getScopes()

      Returns the OAuth Consumer's scopes. These are the scopes the consumer will be able to access directly

    - #### setScopes

          public void setScopes(String[] scopes)

    - #### getPermissions

          public String[] getPermissions()

Copyright © 2014. All Rights Reserved.